[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
</ol>


[[#if (urlParam "resiri")]]

<h1>Examine Resource</h1>

<p>[[urlParam "resiri"]]</p>

<h3>Statements</h3>

<h4>Outgoing Statements</h4>

<semantic-table config='{
	"query":"SELECT ?property ?object WHERE
    {
      ?resource ?property ?object .
      BIND(<[[urlParam "resiri"]]> as ?resource)
    }
  LIMIT 1000",
	"columnConfiguration" : [
      {
        "variableName": "property",
        "displayName": "Property"
      },
      {
        "variableName": "object",
        "displayName": "Object",
        "cellTemplate": "<a href=\"resource?uri=[[this]]&resiri={{object.value}}\">{{object.value}}</a>"
      }
		],
		"layout":{
			"options":{
				"resultsPerPage":10
			}
		}
	}'>
</semantic-table>

<h4>Incoming Statements</h4>

<semantic-table config='{
	"query":"SELECT ?property ?subject WHERE
  {
    ?subject ?property ?resource .
    BIND(<[[urlParam "resiri"]]> as ?resource)
  } LIMIT 1000",
	"columnConfiguration" : [
      {
        "variableName":"property",
        "displayName":"Property"
      },
      {
        "variableName":"subject",
        "displayName":"Subject",
        "cellTemplate": "<a href=\"resource?uri=[[this]]&resiri={{subject.value}}\">{{subject.value}}</a>"
      }
		],
		"layout":{
			"options":{
				"resultsPerPage":10
			}
		}
	}'>
</semantic-table>

[[else]]

  <div class="alert alert-warning">
    You can only access this page via resource
  </div>

[[/if]]

[[> :footer]]
